package com.robotium.test;

import com.robotium.solo.Solo;
import cat.cordecor.crm.activity.LoginActivity;
import cat.cordecor.crm.activity.MenuActivity;
import android.test.ActivityInstrumentationTestCase2;

public class LoginTest extends ActivityInstrumentationTestCase2<LoginActivity>{

	private Solo solo;

	public LoginTest() {
		super(LoginActivity.class);
	}

	@Override
	public void setUp() throws Exception {
		// setUp() s'executa abans que comenci una prova
		solo = new Solo(getInstrumentation(), getActivity());
	}

	@Override
	public void tearDown() throws Exception {
		// tearDown() s'executa desprs de terminar una prova
		// finishOpenedActivities() finalitza totes les activitats que s'han obert durant l'execuci de la prova
		solo.finishOpenedActivities();
	}
	
	// test
	public void testLogin() throws Exception {
		solo.enterText(0, "javier@cordecor.cat");
		solo.enterText(1, "javier");
		solo.clickOnImageButton(0);
		
		solo.waitForActivity(MenuActivity.class);
		solo.sleep(4000);
	}
}
