-- phpMyAdmin SQL Dump
-- version 4.1.9
-- http://www.phpmyadmin.net
--
-- Servidor: mysql51-69.pro
-- Tiempo de generación: 20-05-2014 a las 23:52:40
-- Versión del servidor: 5.1.73-1.1+squeeze+build0+1-log
-- Versión de PHP: 5.3.8

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de datos: `cordecor`
--

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `comanda`
--

CREATE TABLE IF NOT EXISTS `comanda` (
  `id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `usuari` mediumint(9) NOT NULL,
  `empresa` mediumint(9) NOT NULL,
  `descripcio` text NOT NULL,
  `total` decimal(8,2) unsigned DEFAULT '0.00',
  `data` varchar(100) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_COMANDA_USUARI` (`usuari`),
  KEY `FK_COMANDA_EMPRESA` (`empresa`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

--
-- Volcado de datos para la tabla `comanda`
--

INSERT INTO `comanda` (`id`, `usuari`, `empresa`, `descripcio`, `total`, `data`) VALUES
(1, 2, 2, '- (2) Kitllar [p0002]\r\n- (1) Catifa [p0005]\r\n- (3) Coful [p0006]\r\n', '234.90', '20-05-2014 23:52:08');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `contacte`
--

CREATE TABLE IF NOT EXISTS `contacte` (
  `id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `usuari` mediumint(9) NOT NULL,
  `foto` varchar(100) NOT NULL,
  `nom` varchar(50) NOT NULL,
  `cognoms` varchar(100) NOT NULL,
  `direccio` varchar(50) NOT NULL,
  `ciutat` varchar(50) NOT NULL,
  `telefon` varchar(20) NOT NULL,
  `email` varchar(50) NOT NULL,
  PRIMARY KEY (`id`),
  KEY `FK_CONTACTE_USUARI` (`usuari`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=9 ;

--
-- Volcado de datos para la tabla `contacte`
--

INSERT INTO `contacte` (`id`, `usuari`, `foto`, `nom`, `cognoms`, `direccio`, `ciutat`, `telefon`, `email`) VALUES
(1, 2, 'contacte_u2_1.jpg', 'Marc', 'Puig', 'Via Laietana, 2, 1-2', 'Barcelona', '555000231', 'marcpuig@testemail.com'),
(2, 1, '', 'Anna', 'Oliva', 'Rambla de Catalunya, 10, 2-3', 'Barcelona', '444689302', 'anna@testemail.com'),
(3, 2, 'contacte_u2_3.jpg', 'Valentina', 'Capdevila', 'Consell de Cent, 12, 2-2', 'Barcelona', '333896201', 'valentina@testemail.com'),
(4, 2, '', 'Elena', 'Abad', 'Travessera de les Corts, 20, 3-1', 'Barcelona', '667201896', 'elena@testemail.com'),
(5, 2, '', 'Abel', 'Barberà', 'Diagonal, 17, 5-1', 'Barcelona', '888563789', 'abel@testemail.com'),
(6, 2, 'contacte_u2_6.jpg', 'Pau', 'Cerdà', 'Consell de Cent, 16, 2-2', 'Barcelona', '333452124', 'pau@testemail.com'),
(7, 2, 'contacte_u2_7.jpg', 'Nora', 'Segura', 'Àvila, 20, 2-2', 'Barcelona', '333214369', 'nora@testemail.com'),
(8, 2, 'contacte_u2_8.jpg', 'Mario', 'Leiva', 'Passeig de Gràcia, 52, 1-2', 'Barcelona', '333120789', 'mario@testemail.com');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `empresa`
--

CREATE TABLE IF NOT EXISTS `empresa` (
  `id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `logo` varchar(100) NOT NULL,
  `nom` varchar(50) NOT NULL,
  `direccio` varchar(50) NOT NULL,
  `ciutat` varchar(50) NOT NULL,
  `telefon` varchar(20) NOT NULL,
  `email` varchar(50) NOT NULL,
  `latitud` varchar(50) NOT NULL DEFAULT '0.00',
  `longitud` varchar(50) NOT NULL DEFAULT '0.00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=9 ;

--
-- Volcado de datos para la tabla `empresa`
--

INSERT INTO `empresa` (`id`, `logo`, `nom`, `direccio`, `ciutat`, `telefon`, `email`, `latitud`, `longitud`) VALUES
(1, 'empresa_1.jpg', 'Cent100', 'Consell de Cent, 20', 'Barcelona', '935153468', 'info@cent100.com', '41.37603741398848', '2.14483180000002'),
(2, 'empresa_2.jpg', 'ViaDeco', 'Via Laietana, 12', 'Barcelona', '934527891', 'info@viadeco.com', '41.38300151399194', '2.180185300000062'),
(3, 'empresa_3.jpg', 'DecoCat', 'Rambla de Catalunya, 52', 'Barcelona', '934286387', 'info@decocat.com', '41.390731013995776', '2.1642100000000255'),
(4, 'empresa_4.jpg', 'Mobles Cort', 'Travessera de les Corts, 40', 'Barcelona', '931248936', 'info@moblescort.cat', '41.37682081398889', '2.1193663000000242'),
(5, 'empresa_5.jpg', 'DecoBalmes', 'Balmes, 300', 'Barcelona', '934216387', 'info@decobalmes.cat', '41.402296214001495', '2.1458331000000044'),
(6, 'empresa_6.jpg', 'Descult', 'Passeig de Gràcia, 70', 'Barcelona', '931278963', 'info@descult.cat', '41.393499613997136', '2.163761500000078'),
(7, 'empresa_7.jpg', 'Tot Diagonal', 'Diagonal, 142', 'Barcelona', '931248963', 'info@totdiagonal.cat', '41.39568356399824', '2.1554161999999906'),
(8, 'empresa_8.jpg', 'Taulat', 'Carrer de Sants, 56', 'Barcelona', '934518752', 'info@taulat.net', '41.37537186398818', '2.137934149999978');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `producte`
--

CREATE TABLE IF NOT EXISTS `producte` (
  `id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `foto` varchar(100) NOT NULL,
  `nom` varchar(50) NOT NULL,
  `codi` varchar(50) NOT NULL,
  `descripcio` text NOT NULL,
  `preu` decimal(8,2) unsigned NOT NULL DEFAULT '0.00',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;

--
-- Volcado de datos para la tabla `producte`
--

INSERT INTO `producte` (`id`, `foto`, `nom`, `codi`, `descripcio`, `preu`) VALUES
(1, 'producte_1.jpg', 'Gerro', 'p0001', 'Gerro de ceràmica', '59.99'),
(2, 'producte_2.jpg', 'Kitllar', 'p0002', 'Kit bàsic de decoració', '40.00'),
(3, 'producte_3.jpg', 'Escultura', 'p0003', 'Escultura imitació antiguitat', '240.00'),
(4, 'producte_4.jpg', 'Sofavim', 'p0004', 'Sofà de vímet', '350.00'),
(5, 'producte_5.jpg', 'Catifa', 'p0005', 'Catifa de llana', '79.90'),
(6, 'producte_6.jpg', 'Coful', 'p0006', 'Coixí amb il·lustracions de fulles', '25.00'),
(7, 'producte_7.jpg', 'Butaca', 'p0007', 'Butaca de vímet', '115.00');

-- --------------------------------------------------------

--
-- Estructura de tabla para la tabla `usuari`
--

CREATE TABLE IF NOT EXISTS `usuari` (
  `id` mediumint(9) NOT NULL AUTO_INCREMENT,
  `nom` varchar(50) NOT NULL,
  `cognoms` varchar(100) NOT NULL,
  `telefon` varchar(20) NOT NULL,
  `email` varchar(50) NOT NULL,
  `contrasenya` varchar(50) NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `email` (`email`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Volcado de datos para la tabla `usuari`
--

INSERT INTO `usuari` (`id`, `nom`, `cognoms`, `telefon`, `email`, `contrasenya`) VALUES
(1, 'Admin', '', '', 'admin@cordecor.cat', 'admin'),
(2, 'Javier', 'Martínez', '222124896', 'javier@cordecor.cat', 'javier');

--
-- Restricciones para tablas volcadas
--

--
-- Filtros para la tabla `comanda`
--
ALTER TABLE `comanda`
  ADD CONSTRAINT `FK_COMANDA_USUARI` FOREIGN KEY (`usuari`) REFERENCES `usuari` (`id`),
  ADD CONSTRAINT `FK_COMANDA_EMPRESA` FOREIGN KEY (`empresa`) REFERENCES `empresa` (`id`);

--
-- Filtros para la tabla `contacte`
--
ALTER TABLE `contacte`
  ADD CONSTRAINT `FK_CONTACTE_USUARI` FOREIGN KEY (`usuari`) REFERENCES `usuari` (`id`);

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
