package cat.cordecor.crm;

import cat.cordecor.crm.util.Log;
import android.app.Activity;
import android.app.Application;
import android.content.Context;

public class App extends Application {
	private static Context context;
	
    @Override
    public void onCreate() {
        super.onCreate();
        
        Log.i("App.onCreate()");
        
        App.context = getApplicationContext();
    }
    
    public static Context getAppContext() {
        return App.context;
    }
    
    public static void setAppContext(Activity activity) {
        if(App.context==null && activity!=null){
        	App.context = activity.getApplicationContext();
        }
    }
}
