package com.robotium.test;

import com.robotium.solo.Solo;

import cat.cordecor.crm.activity.ContacteEdicioActivity;
import cat.cordecor.crm.activity.ContacteLlistatActivity;
import cat.cordecor.crm.activity.LoginActivity;
import cat.cordecor.crm.activity.MenuActivity;
import android.test.ActivityInstrumentationTestCase2;

public class ContactesTest extends ActivityInstrumentationTestCase2<LoginActivity>{

	private Solo solo;

	public ContactesTest() {
		super(LoginActivity.class);
	}

	@Override
	public void setUp() throws Exception {
		// setUp() s'executa abans que comenci una prova
		solo = new Solo(getInstrumentation(), getActivity());
	}

	@Override
	public void tearDown() throws Exception {
		// tearDown() s'executa desprs de terminar una prova
		// finishOpenedActivities() finalitza totes les activitats que s'han obert durant l'execuci de la prova
		solo.finishOpenedActivities();
	}
	
	// test
	public void testNouContacte() throws Exception {
		// login();
		// introduir a m el correu electrnic i contrasenya si s necessari
		
		// Menu
		solo.waitForActivity(MenuActivity.class);
		solo.sleep(1000);
		solo.clickOnImageButton(1);
		
		// Llistat Contactes
		solo.waitForActivity(ContacteLlistatActivity.class);
		solo.sleep(1000);
		solo.clickOnImageButton(1);
		
		// Edici Contacte
		solo.waitForActivity(ContacteEdicioActivity.class);
		solo.enterText(0, "Proba");
		solo.enterText(1, "ProbaCognoms");
		solo.enterText(2, "644888901");
		solo.clickOnImageButton(2);
		
		// Llistat Contactes
		solo.waitForActivity(ContacteLlistatActivity.class);
		solo.scrollToBottom(); // baixem a l'ltima fila del listview per veure el contacte que hem creat
		solo.sleep(3000);
		solo.goBack(); 
		
		// Menu
		solo.waitForActivity(MenuActivity.class);
		solo.sleep(4000);
	}
	
	private void login() throws Exception {
		solo.enterText(0, "javier@cordecor.cat");
		solo.enterText(1, "javier");
		solo.clickOnImageButton(0);
	}
}
